Bug 179216 - installer does not see SATA HDs attached to JMB360 chipset which in legacy mode
installer does not see SATA HDs attached to JMB360 chipset which in legacy mode
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
MassClosed
:
Depends On:
Blocks: 191139
  Show dependency treegraph
 
Reported: 2006-01-28 05:58 EST by Justin
Modified: 2013-07-02 22:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (15.10 KB, text/plain)
2006-02-06 05:28 EST, Justin
no flags Details

  None (edit)
Description Justin 2006-01-28 05:58:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:

Using the install cdrom from the fedora download ftp site.  When you boot up everything appears fine until the installer reports it is unable to locate any harddisk on the system.(whatever set to IDE compatible or SATA mode in bios)

I have sucessfully installed FreeBSD on the same hardware (by IDE compatible mode , AHCI mode doesn't).  

The chip set has 2 options in bios for this controller and all appear to have the same result. Those options are SATA, and IDE compatible.

I apologize for not having actual things to cut and paste from the installer to this page.

if there is any specific information you require I will type it here manually.

Below is more hardware specs

MB : ASROCK 939 DUAL SATA 2
Harddisk : Hitachi T7K250 250GB
SATA II Controller : JMB360 (set to IDE compatible mode from BIOS)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insert latest fedora core 4 bootable cdrom
2.turn on power
3.run installer until prompt no hdd found
  

Actual Results:  message will appear stating no HDs are found and it will offer an option to select the driver from a list


Expected Results:  It should see the available HDs and allow the use of diskdruid



Additional info:
Comment 1 Dave Jones 2006-02-03 00:39:31 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 Justin 2006-02-06 05:28:44 EST
Created attachment 124248 [details]
dmesg

Could not find the HDD(HITACHI T7K250)connected to SATAII port of JMB360
Comment 3 Justin 2006-02-06 05:31:18 EST
We have updated kernel to 2.6.15-1.1830_FC4, but we could not still find HDD 
connected to SATAII port of JMB360.
Comment 4 Dave Jones 2006-09-16 22:21:36 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 14:30:53 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Justin Tsai 2007-04-15 10:41:20 EDT
It's working now , please close issue.
Comment 7 Jon Stanley 2008-01-19 23:39:59 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.